IBM Lotus Domino 6.x - Cross-Site Scripting and HTML Injection Vulnerabilities

ID EDB-ID:24690
Type exploitdb
Reporter Juan C Calderon
Modified 2004-10-18T00:00:00


IBM Lotus Domino 6.x Cross-Site Scripting and HTML Injection Vulnerabilities. CVE-2004-1621. Webapps exploit for unix platform


It is reported that Lotus Domino is susceptible to a cross-site scripting and an HTML injection vulnerability. These issues are due to a failure of the application to properly sanitize user-supplied input.

The cross-site scripting issue could permit a remote attacker to create a malicious URI link that includes hostile HTML and script code. If this link were to be followed, the hostile code may be rendered in the web browser of the victim user. This would occur in the security context of the affected web site and may allow for theft of cookie-based authentication credentials or other attacks.

The HTML injection issue may allow an attacker to inject malicious HTML and script code into the application. An unsuspecting user viewing a page that contains the malicious comment will have the attacker-supplied script code executed within their browser in the context of the vulnerable site. This issue may be leveraged to steal cookie based authentication credentials. Other attacks are also possible.